org.codehaus.plexus.metadata.ann

## Class Ann

- java.lang.Object
- - org.codehaus.plexus.metadata.ann.Ann

    public class Ann
    extends java.lang.Object

Author:
  Eugene Kuleshov

### Constructor Summary

Constructors
Constructor and Description
`Ann(java.lang.String desc)`

### Method Summary

Methods
`void` `addParam(java.lang.String name, java.lang.Object value)`
`<T> T` `getAnnotation(java.lang.Class<T> c, java.lang.ClassLoader cl)`
`java.lang.String` `getDesc()`
`java.util.Map<java.lang.String,java.lang.Object>` `getParams()`
`java.lang.String` `getType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Ann

    public Ann(java.lang.String desc)

### Method Detail

#### addParam

    public void addParam(java.lang.String name,
                java.lang.Object value)

#### getDesc

    public java.lang.String getDesc()

#### getType

    public java.lang.String getType()

#### getParams

    public java.util.Map<java.lang.String,java.lang.Object> getParams()

#### getAnnotation

    public <T> T getAnnotation(java.lang.Class<T> c,
                      java.lang.ClassLoader cl)